"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class CancerSummaryMetrics(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "cosmic_30x_cov",
        "mean",
        "mean_normal",
        "norm_step_005",
        "norm_step_005_normal",
        "samtools_insert_size_average",
        "samtools_insert_size_average_normal",
        "samtools_pairs_on_different_chromosomes",
        "samtools_pairs_on_different_chromosomes_normal",
        "samtools_reads_mapped",
        "samtools_reads_mapped_normal",
        "tumor_contamination_con_pair",
        "tumor_contamination_cont_est",
        "variantstats_total_indels",
        "variantstats_total_snvs",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_9 import metrics as metrics_1_3_0

        return {
            "org.gel.models.report.avro.CancerSummaryMetrics": metrics_1_3_0.CancerSummaryMetrics,
        }

    __slots__ = [
        "cosmic_30x_cov",
        "mean",
        "mean_normal",
        "norm_step_005",
        "norm_step_005_normal",
        "samtools_insert_size_average",
        "samtools_insert_size_average_normal",
        "samtools_pairs_on_different_chromosomes",
        "samtools_pairs_on_different_chromosomes_normal",
        "samtools_reads_mapped",
        "samtools_reads_mapped_normal",
        "tumor_contamination_con_pair",
        "tumor_contamination_cont_est",
        "variantstats_total_indels",
        "variantstats_total_snvs",
        "local_rmsd",
        "local_rmsd_normal",
        "variantstats_total_svs",
    ]

    def __init__(
        self,
        cosmic_30x_cov,
        mean,
        mean_normal,
        norm_step_005,
        norm_step_005_normal,
        samtools_insert_size_average,
        samtools_insert_size_average_normal,
        samtools_pairs_on_different_chromosomes,
        samtools_pairs_on_different_chromosomes_normal,
        samtools_reads_mapped,
        samtools_reads_mapped_normal,
        tumor_contamination_con_pair,
        tumor_contamination_cont_est,
        variantstats_total_indels,
        variantstats_total_snvs,
        local_rmsd=None,
        local_rmsd_normal=None,
        variantstats_total_svs=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_3_0.CancerSummaryMetrics model.

        :param cosmic_30x_cov:
        :type cosmic_30x_cov: double
        :param mean:
        :type mean: double
        :param mean_normal:
        :type mean_normal: double
        :param norm_step_005:
        :type norm_step_005: double
        :param norm_step_005_normal:
        :type norm_step_005_normal: double
        :param samtools_insert_size_average:
        :type samtools_insert_size_average: double
        :param samtools_insert_size_average_normal:
        :type samtools_insert_size_average_normal: double
        :param samtools_pairs_on_different_chromosomes:
        :type samtools_pairs_on_different_chromosomes: double
        :param samtools_pairs_on_different_chromosomes_normal:
        :type samtools_pairs_on_different_chromosomes_normal: double
        :param samtools_reads_mapped:
        :type samtools_reads_mapped: double
        :param samtools_reads_mapped_normal:
        :type samtools_reads_mapped_normal: double
        :param tumor_contamination_con_pair:
        :type tumor_contamination_con_pair: str
        :param tumor_contamination_cont_est:
        :type tumor_contamination_cont_est: str
        :param variantstats_total_indels:
        :type variantstats_total_indels: int
        :param variantstats_total_snvs:
        :type variantstats_total_snvs: int
        :param local_rmsd:
            NOTE: IN GMS, local_rmsd and local_rmsd_normal are deprecated as they
            have been replaced by norm_step_005 and
            norm_step_005_normal
        :type local_rmsd: None | double
        :param local_rmsd_normal:
        :type local_rmsd_normal: None | double
        :param variantstats_total_svs:
        :type variantstats_total_svs: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
